<template>
  <div class="container--header">
    <HamburguerIcon class="hamburguer" :showMenu="showMenu" :toggleMenu="toggleMenu" />
    <MenuCurtain v-if="showMenu && getWidth < 768" />
    <div class="container--header--titles">
      <h1>LOREM IPSUM</h1>
      <NavBar class="navbar" :horizontal="true" :options="options" />
      <SubTitle v-if="getWidth < 768" title="Latest Updated" />
      <SearchPosition />
    </div>
  </div>
</template>

<script>
import { mapGetters, mapMutations } from 'vuex';
import NavBar from '@/components/molecules/NavBar.vue';
import SearchPosition from '@/components/organisms/SearchPosition.vue';
import HamburguerIcon from '@/components/atoms/HamburguerIcon.vue';
import MenuCurtain from '@/components/templates/MenuCurtain.vue';
import SubTitle from '@/components/atoms/SubTitle.vue';

export default {
  name: 'HeaderNavbar',
  data() {
    return {
      showMenu: false,
    };
  },
  components: {
    NavBar,
    SearchPosition,
    MenuCurtain,
    HamburguerIcon,
    SubTitle,
  },
  computed: {
    ...mapGetters(['getNavBarOptions', 'getWidth']),
    options() {
      return this.getNavBarOptions.filter((item) => item.show.includes(this.getWidth < 768 ? 'mobile' : 'desktop'));
    },
  },
  methods: {
    ...mapMutations(['toggleCurtain']),
    toggleMenu() {
      this.showMenu = !this.showMenu;
      this.toggleCurtain();
    },
  },
};
</script>

<style lang="sass" scoped>
.hamburguer
  top: 1.4rem
  left: 1.4rem
  margin: 0
  cursor: pointer
  z-index: 1
.container--header--titles
  display: grid
  grid-template-rows: 22px 49px 45px 1fr
  text-align: center
h1
  font-weight: 700
  font-size: 1.4rem
  align-self: center
@media screen and (min-width: 768px)
  .container--searchposition,
  .container--titlepage__hamburguer,
  .hamburguer,
  .navbar--mobile,
  .subtitle--update
    display: none
  .container--header--titles
    display: grid
    grid-template-rows: 55px 25px
    grid-template-columns: 13rem 1fr
    grid-template-areas: 'title--sec navbar--sec' 'blank title-update--sec'
    text-align: center
    align-items: flex-end
  .navbar
    height: 1.9rem
    max-width: 650px
    grid-area: navbar--sec
    justify-self: flex-end
    align-self: center
  .container--header
    min-height: 85px
    max-height: 200px
  h1
    font-size: 1.6rem
    text-align: center
    grid-area: title--sec
    cursor: pointer
    transform: scale(1, .9)
    text-align: left
    padding-left: 1rem
</style>
